php7.0_7.0.33-0ubuntu0.16.04.6_all.deb


Advertisement

Description

php7.0 - server-side, HTML-embedded scripting language (metapackage)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package filename php7.0_7.0.33-0ubuntu0.16.04.6_all.deb
Package name php7.0
Package version 7.0.33
Package release 0ubuntu0.16.04.6
Package architecture all
Package type deb
Category php
Homepage http://www.php.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.26 KB
Installed size 9.00 KB
This package is a metapackage that, when installed, guarantees that you
have at least one of the four server-side versions of the PHP interpreter
installed. Removing this package won't remove PHP from your system, however
it may remove other packages that depend on this one.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
php7.0_7.0.33-0ubuntu0.16.04.6_all.deb 7.0.33 all Ubuntu Updates Main
php7.0_7.0.4-7ubuntu2_all.deb 7.0.4 all Ubuntu Main
php7.0_7.0.4-7ubuntu2_all.deb 7.0.4 all Ubuntu Main
php7.0 - - -

Requires

Name Value
libapache2-mod-php7.0 -
php7.0-cgi -
php7.0-common = 7.0.33-0ubuntu0.16.04.6
php7.0-fpm -

Provides

Name Value
php -

Conflicts

Name Value
php5 << 5.6.16+dfsg-4~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php7.0_7.0.33-0ubuntu0.16.04.6_all.deb
Source Package php7.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php7.0 deb package:
    # sudo apt-get install php7.0

Files

Path
/usr/share/bug/php7.0/control
/usr/share/doc/php7.0

Changelog

2019-08-12 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.6) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11041.patch: check Thumbnail.size in order
to avoid an overflow in ext/exif.exif.c and adding test to
ext/exif/tests/bug78222.phpt.
- CVE-2019-11041
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11042.patch: check ByteCount in order to
avoid an overflow in ext/exif/exif.c and adding tests to
ext/exif/tests/bug78256.phpt.
- CVE-2019-11042
2019-06-04 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.5) xenial-security; urgency=medium
* SECURITY UPDATE: overflow in exif_process_IFD_TAG
- debian/patches/CVE-2019-11036.patch: check dir_entry in
ext/exif/exif.c.
- CVE-2019-11036
* SECURITY UPDATE: out-of-bounds read in _php_iconv_mime_decode()
- debian/patches/CVE-2019-11039.patch: add an extra check in
ext/iconv/iconv.c.
- CVE-2019-11039
* SECURITY UPDATE: heap-buffer-overflow on php_jpg_get16
- debian/patches/CVE-2019-11040.patch: add an extra check in
ext/exif/exif.c.
- CVE-2019-11040
2019-04-18 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.4) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow in php_ifd_get32s
- debian/patches/CVE-2019-11034.patch: check size in ext/exif/exif.c.
- CVE-2019-11034
* SECURITY UPDATE: Heap-buffer-overflow in exif_iif_add_value in EXIF
- debian/patches/CVE-2019-11035-1.patch: add checks to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-2.patch: add casts to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-3.patch: fix typo in ext/exif/exif.c.
- CVE-2019-11035
2019-03-21 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.3) xenial-security; urgency=medium
* SECURITY UPDATE: Unauthorized users access
- debian/patches/CVE-2019-9637.patch: fix in
main/streams/plain_wrapper.c.
- CVE-2019-9637
* SECURITY UPDATE: Invalid read in exif_process_IFD_MAKERNOTE
- debian/patches/CVE-2019-9638-and-CVE-2019-9639-*.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77563.jpg,
ext/exif/tests/bug77563.phpt.
- CVE-2019-9638
- CVE-2019-9639
* SECURITY UPDATE: Invalid read
- debian/patches/CVE-2019-9640.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77540.jpg,
ext/exif/tests/bug77540.phpt.
- CVE-2019-9640
* SECURITY UPDATE: Unitialized read
- debian/patches/CVE-2019-9641.patch: fix in ext/exif/exif.c.
- CVE-2019-9641
* SECURITY UPDATE: Buffer overflow
- debian/patches/CVE-2019-9675.patch: fix in
ext/phar/tar.c, added tests in ext/phar/tests/bug71488.phpt,
ext/phar/tests/bug77586,phpt, ext/phar/tests/bug77586/files/*.

See Also

Package Description
php_7.0+35ubuntu6.1_all.deb server-side, HTML-embedded scripting language (default)
plymouth-label_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer - label control
plymouth-theme-ubuntu-logo_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer - ubuntu theme
plymouth-theme-ubuntu-text_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer - ubuntu text theme
plymouth-themes_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer - themes
plymouth-x11_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer - X11 renderer
plymouth_0.9.2-3ubuntu13.5_i386.deb boot animation, logger and I/O multiplexer
policykit-1-doc_0.105-14.1ubuntu0.5_all.deb documentation for PolicyKit-1
policykit-1_0.105-14.1ubuntu0.5_i386.deb framework for managing administrative policies and privileges
policykit-desktop-privileges_0.20ubuntu16.04.1_all.deb run common desktop actions without password
pollinate_4.33-0ubuntu1~16.04.1_all.deb seed the pseudo random number generator
poppler-utils_0.41.0-0ubuntu1.14_i386.deb PDF utilities (based on Poppler)
postfix-cdb_3.1.0-3ubuntu0.3_i386.deb CDB map support for Postfix
postfix-dev_3.1.0-3ubuntu0.3_all.deb Loadable modules development environment for Postfix
postfix-doc_3.1.0-3ubuntu0.3_all.deb Documentation for Postfix
Advertisement
Advertisement